apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: rs-ingress
  labels:
    app: research-space
  annotations:
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: 500m
    nginx.ingress.kubernetes.io/proxy-connect-timeout: "300"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "300"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "300"    
spec:
  rules:
  - host: {{ .Values.fqdn }}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: platform
            port:
              number: 8080
      - path: /blazegraph
        pathType: Prefix
        backend:
          service:
            name: blazegraph
            port:
              number: 8080
      - path: /digilib
        pathType: ImplementationSpecific
        backend:
          service:
            name: digilib
            port:
              number: 8080
  tls:
  - hosts:
    - {{ .Values.fqdn }}
    secretName: rs-cert
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: iiif-ingress
  labels:
    app: research-space
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/proxy-body-size: 100m
    ingress.kubernetes.io/rewrite-target: /digilib/IIIF/$2
spec:
  rules:
  - host: {{ .Values.fqdn }}
    http:
      paths:
      - path: /proxy/IIIF(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: digilib
            port:
              number: 8080
